## org.jfree.data.xy
Interface XYDataset

All Superinterfaces:
  Dataset, SeriesDataset

All Known Subinterfaces:
  BoxAndWhiskerXYDataset, ContourDataset, IntervalXYDataset, IntervalXYZDataset, OHLCDataset, SignalsDataset, TableXYDataset, WindDataset, XYZDataset

All Known Implementing Classes:
  AbstractIntervalXYDataset, AbstractXYDataset, AbstractXYZDataset, CategoryTableXYDataset, CombinedDataset, CyclicXYItemRenderer.OverwriteDataSet, DefaultBoxAndWhiskerXYDataset, DefaultContourDataset, DefaultHighLowDataset, DefaultOHLCDataset, DefaultTableXYDataset, DefaultWindDataset, DynamicTimeSeriesCollection, HistogramDataset, JDBCXYDataset, MatrixSeriesCollection, NonGridContourDataset, SimpleHistogramDataset, SubSeriesDataset, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XYBarDataset, XYSeriesCollection

    public interface XYDataset

extends SeriesDataset

An interface through which data in the form of (x, y) items can be accessed.

Method Summary
`DomainOrder` `getDomainOrder()` Returns the order of the domain (or X) values returned by the dataset.
`int` `getItemCount(int series)` Returns the number of items in a series.
`java.lang.Number` `getX(int series, int item)` Returns the x-value for an item within a series.
`double` `getXValue(int series, int item)` Returns the x-value (as a double primitive) for an item within a series.
`java.lang.Number` `getY(int series, int item)` Returns the y-value for an item within a series.
`double` `getYValue(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getDomainOrder

    DomainOrder getDomainOrder()

  Returns the order of the domain (or X) values returned by the dataset.

  Returns:
    The order (never `null`).

### getItemCount

    int getItemCount(int series)

  Returns the number of items in a series.

  Parameters:
    `series` - the series index (zero-based).
  Returns:
    The item count.

### getX

    java.lang.Number getX(int series,
                          int item)

  Returns the x-value for an item within a series. The x-values may or may not be returned in ascending order, that is up to the class implementing the interface.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The x-value (never `null`).

### getXValue

    double getXValue(int series,
                     int item)

  Returns the x-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The x-value.

### getY

    java.lang.Number getY(int series,
                          int item)

  Returns the y-value for an item within a series.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The y-value (possibly `null`).

### getYValue

    double getYValue(int series,
                     int item)

  Returns the y-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The y-value.